# PASN_Boolean Class Reference

Class for ASN Boolean type. More...

`#include <asner.h>`

Inheritance diagram for PASN_Boolean:

List of all members.

## Public Member Functions

| PASN_Boolean (PBoolean val=false)
| PASN_Boolean (unsigned tag, TagClass tagClass, PBoolean val=false)
PASN_Boolean & | operator= (PBoolean v)
| operator PBoolean () const
PBoolean | GetValue () const
void | SetValue (PBoolean v)
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank.
virtual PObject * | Clone () const
| Create a copy of the class on the heap.
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream.
virtual PString | GetTypeAsString () const
| Return a string giving the type of the object.
virtual PINDEX | GetDataLength () const
virtual PBoolean | Decode (PASN_Stream &)
virtual void | Encode (PASN_Stream &) const

## Protected Attributes

PBoolean | value

## Detailed Description

Class for ASN Boolean type.

## Constructor & Destructor Documentation

PASN_Boolean::PASN_Boolean | ( | PBoolean | val = `false` | ) |

PASN_Boolean::PASN_Boolean | ( | unsigned | tag,
|  | TagClass | tagClass,
|  | PBoolean | val = `false` |
| ) |  |  |

## Member Function Documentation

virtual PObject* PASN_Boolean::Clone | ( |  | ) | const`[virtual]`

Create a copy of the class on the heap.

The exact semantics of the descendent class determine what is required to make a duplicate of the instance. Not all classes can even do a clone operation.

The main user of the clone function is the `PDictionary` class as it requires copies of the dictionary keys.

The default behaviour is for this function to assert.

Returns:
  pointer to new copy of the class instance.

Reimplemented from PObject.

virtual Comparison PASN_Boolean::Compare | ( | const PObject & | obj | ) | const`[virtual]`

Compare the two objects and return their relative rank.

This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns:
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Reimplemented from PObject.

virtual PBoolean PASN_Boolean::Decode | ( | PASN_Stream & |  | ) | `[virtual]`

Implements PASN_Object.

virtual void PASN_Boolean::Encode | ( | PASN_Stream & |  | ) | const`[virtual]`

Implements PASN_Object.

virtual PINDEX PASN_Boolean::GetDataLength | ( |  | ) | const`[virtual]`

Implements PASN_Object.

virtual PString PASN_Boolean::GetTypeAsString | ( |  | ) | const`[virtual]`

Return a string giving the type of the object.

Implements PASN_Object.

PBoolean PASN_Boolean::GetValue | ( |  | ) | const`[inline]`

PASN_Boolean::operator PBoolean | ( |  | ) | const`[inline]`

PASN_Boolean& PASN_Boolean::operator= | ( | PBoolean | v | ) | `[inline]`

virtual void PASN_Boolean::PrintOn | ( | ostream & | strm | ) | const`[virtual]`

Output the contents of the object to the stream.

The exact output is dependent on the exact semantics of the descendent class. This is primarily used by the standard `operator<<` function.

The default behaviour is to print the class name.

Reimplemented from PObject.

void PASN_Boolean::SetValue | ( | PBoolean | v | ) | `[inline]`

## Member Data Documentation

PBoolean PASN_Boolean::value `[protected]`

The documentation for this class was generated from the following file:

- asner.h